Name: lucene
Version: 2.1.0
Release: alt1

%def_disable check
%def_enable debug
%def_disable demo

%define pkgdocdir %_docdir/%name-%version

Summary: High-performance, full-featured text search engine
Group: Text tools
License: Apache
Url: http://jakarta.apache.org/lucene/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: %name-%version-src.tar.gz

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: j2se-devel
BuildRequires: ant >= 1.5
BuildRequires: javacc

%if_enabled check
BuildRequires: ant-junit, junit >= 3.7
%endif

%description
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

%package manual
Summary: Documentation for Lucene
Group: Development/Java
Requires: %name-javadoc = %version-%release

%description manual
Documentation for Lucene, a text search engine
written in Java.

%package javadoc
Summary: Javadoc for Lucene
Group: Development/Java

%description javadoc
Javadoc-generated HTML documentation for Lucene, a text search engine
written in Java.

%package demo
Summary: Lucene demonstrations and samples
Group: Development/Java
Requires: %name = %version-%release

%description demo
Demonstrations and samples for Lucene, a text search engine
written in Java.

%prep
%setup -q -n %name-%version
find . -name '*.jar' -delete

%build
ant -Dversion=%version \
    -Djavacc.zip=%_javadir/javacc.jar \
%if_disabled debug
    -Djavac.debug=off \
%endif
    jar-core javadocs
%if_enabled demo
ant jar-demo
%endif
%if_enabled check
export CLASSPATH=%_javadir/junit.jar
ant test
%endif

%install
# jars
mkdir -p %buildroot%_javadir
install -m644 build/%name-core-%version.jar \
    %buildroot%_javadir/%name.jar

# manual
install -d -m755 %buildroot%pkgdocdir
install -p -m644 README.txt LICENSE.txt CHANGES.txt %buildroot%pkgdocdir/
cp -a docs/* %buildroot%pkgdocdir/

# javadoc
%__mkdir_p %buildroot%_javadocdir
%__cp -a build/docs/api/* \
  %buildroot%_javadocdir
%__ln_s $(relative %_javadocdir %pkgdocdir/) %buildroot%pkgdocdir/api

%if_enabled demo
# demo
install -d -m755 %buildroot%_datadir/%name
install -p -m644  build/%name-demos-%version.jar \
  %buildroot%_datadir/%name
%endif
# TODO: webapp: luceneweb.war / where do we install 'em?

%files
%_javadir/*
%dir %pkgdocdir
%pkgdocdir/*.txt

%files manual
%pkgdocdir

%files javadoc
%_javadocdir/*

%if_enabled demo
%files demo
%_datadir/%name
%endif

%changelog
* Fri Mar 16 2007 Eugene Ostapets <eostapets@altlinux.ru> 2.1.0-alt1
- Update to 2.1.0 release

* Thu Nov 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 2.0.0-alt1
- Update to 2.0.0 release

* Fri Mar 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.9.1-alt1
- Updated to 1.9.1
- Disabled tests (fail to build for some bogus reason)
- Disabled demo by default

* Wed Dec 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.3-alt1
- Updated to 1.4.3
- Spec cleanup for rpm-build-java

* Tue Jun 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.3-alt1
- New upstream release
- Disable debug for non-debug builds

* Tue Sep 09 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.2-alt1
- Released for ALT Linux
